Event Manager Retrieve Argument Description

Event Manager Retrieve Argument Description
Retrieves the argument meta-data for a given Event type

Retrieves the argument meta-data for a given Event type

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/EventManager/{moId}/RetrieveArgumentDescription
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case EventManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RetrieveArgumentDescriptionRequestType of type(s) application/json
Required
{
    "eventTypeId": "string"
}
string
eventTypeId
Required

eventTypeId

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "name": "string",
        "type": "string",
        "description": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string"
        }
    }
]
array of object
Optional

Describes an available event argument name for an Event type, which can be used in EventAlarmExpression.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"eventTypeId":"string"}' https://{api_host}/sdk/vim25/{release}/EventManager/{moId}/RetrieveArgumentDescription